[svn.haxx.se] · SVN Dev · SVN Users · SVN Org · TSVN Dev · TSVN Users · Subclipse Dev · Subclipse Users · this month's index

Re: svnadmin verify 1.8.5 errors on old repositories

From: <kmradke_at_rockwellcollins.com>
Date: Fri, 10 Jan 2014 08:20:21 -0600

> > I've observed 3 instances of similar errors when using the 1.8.5
svnadmin
> > verify on 3 different old repositories. (the hundreds of other repos
on
> > this server verified in 1.8.5 without problems.)
> >
> > svnadmin: E160004: r97's root node's predecessor is r90 but should be
r96
> > svnadmin: E160004: r502's root node's predecessor is r483 but should
be r501
> > svnadmin: E160004: r22033's root node's predecessor is r22031 but
> should be r22032
> >
> > All 3 of these repositories verify without errors using 1.7.5. All 3
of the
> > revisions are from different months in 2009, when I assume the server
was
> > running 1.6.something. The repositories were "upgraded", but not a
full
> > dump/load between major version upgrades.
>
> This is documented in the 1.8. release notes here:
>
https://subversion.apache.org/docs/release-notes/1.8.html#verify-issue4129

I now see the E160004 number is the same, but I had only seen error
messages
with "predecessor count for ... is wrong" when I searched for that
particular
scenario. Thanks for the clarification that it is indeed the same issue!

Kevin R.
Received on 2014-01-10 15:21:11 CET

This is an archived mail posted to the Subversion Users mailing list.